Package com.orchestranetworks.service

# Class LoggingCategory

java.lang.Object
com.orchestranetworks.service.LoggingCategory

public abstract class LoggingCategory extends Object
This class provides methods for logging messages according to their severities.

Note: If the requested logger is not yet initialized, the getter will return a temporary instance which logs to the `System.out`.
Also, it is recommended to call the logger getter methods each time a logger is required, rather than storing and reusing them.

See Also:
  - Configuring the EBX® logs

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingCategory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `debug(UserMessage aMessage)`
  Logs the specified message with priority 'debug', using the `en_US` locale.
  `abstract void`
  `debug(String aMessage)`
  Logs the specified message with priority 'debug'.
  `abstract void`
  `error(UserMessage aMessage)`
  Logs the specified message with priority 'error' using the locale `en_US`.
  `abstract void`
  `error(UserMessage aMessage, Throwable t)`
  Logs the specified message and the stack trace of the exception with priority 'error' using the locale `en_US`.
  `abstract void`
  `error(String aMessage)`
  Logs the specified message with priority 'error'.
  `abstract void`
  `error(String aMessage, Throwable t)`
  Logs the specified message and the stack trace of the exception with priority 'error'.
  `static LoggingCategory`
  `getKernel()`
  Returns the object for logging to the kernel log category.
  `static LoggingCategory`
  `getWorkflow()`
  Returns the object for logging to the workflow log category.
  `abstract void`
  `info(UserMessage aMessage)`
  Logs the specified message with priority 'info', using the `en_US` locale.
  `abstract void`
  `info(String aMessage)`
  Logs the specified message with priority 'info'.
  `abstract boolean`
  `isDebug()`
  Returns `true` if priority 'debug' is enabled.
  `boolean`
  `isError()`
  Returns `true` if priority 'error' is enabled.
  `abstract boolean`
  `isInfo()`
  Returns `true` if priority 'info' is enabled.
  `abstract boolean`
  `isWarn()`
  Returns `true` if priority 'warn' is enabled.
  `abstract void`
  `warn(UserMessage aMessage)`
  Logs the specified message with priority 'warn', using the `en_US` locale.
  `abstract void`
  `warn(String aMessage)`
  Logs the specified message with priority 'warn'.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoggingCategory

    public LoggingCategory()

- ## Method Details

  - ### getKernel

    public static LoggingCategory getKernel()
    Returns the object for logging to the kernel log category.

  - ### getWorkflow

    public static LoggingCategory getWorkflow()
    Returns the object for logging to the workflow log category.

  - ### isDebug

    public abstract boolean isDebug()
    Returns `true` if priority 'debug' is enabled.

  - ### debug

    public abstract void debug(String aMessage)
    Logs the specified message with priority 'debug'.

  - ### debug

    public abstract void debug(UserMessage aMessage)
    Logs the specified message with priority 'debug', using the `en_US` locale.
    Since:
      5.2.4

  - ### isInfo

    public abstract boolean isInfo()
    Returns `true` if priority 'info' is enabled.

  - ### info

    public abstract void info(String aMessage)
    Logs the specified message with priority 'info'.

  - ### info

    public abstract void info(UserMessage aMessage)
    Logs the specified message with priority 'info', using the `en_US` locale.
    Since:
      5.2.4

  - ### isWarn

    public abstract boolean isWarn()
    Returns `true` if priority 'warn' is enabled.

  - ### isError

    public boolean isError()
    Returns `true` if priority 'error' is enabled.
    Since:
      5.8.0

  - ### warn

    public abstract void warn(String aMessage)
    Logs the specified message with priority 'warn'.

  - ### warn

    public abstract void warn(UserMessage aMessage)
    Logs the specified message with priority 'warn', using the `en_US` locale.

  - ### error

    public abstract void error(String aMessage)
    Logs the specified message with priority 'error'.

  - ### error

    public abstract void error(UserMessage aMessage)
    Logs the specified message with priority 'error' using the locale `en_US`.
    Since:
      5.2.4

  - ### error

    public abstract void error(String aMessage, Throwable t)
    Logs the specified message and the stack trace of the exception with priority 'error'.

  - ### error

    public abstract void error(UserMessage aMessage, Throwable t)
    Logs the specified message and the stack trace of the exception with priority 'error' using the locale `en_US`.
    Since:
      5.2.4